Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.instance
Interface InstanceContainerContext

All Known Subinterfaces:
  JBossInstanceContainerContext

All Known Implementing Classes:
  PersistentInstanceContainerContext

    public interface InstanceContainerContext

Version:
  $Revision: 10684 $
Author:
  Julien Viet

Method Summary
`boolean` | `checkPermission(InstancePermission perm)`
`void` | `createInstanceCustomizaton(AbstractInstanceCustomization customization)`
`void` | `createInstanceDefinition(AbstractInstanceDefinition instanceDef)`
`void` | `destroyInstanceCustomization(AbstractInstanceCustomization customization)`
`void` | `destroyInstanceDefinition(AbstractInstanceDefinition instanceDef)`
`AbstractInstanceCustomization` | `getCustomization(AbstractInstanceDefinition instanceDef, java.lang.String customizationId)`
`AbstractInstanceDefinition` | `getInstanceDefinition(java.lang.String id)`
`java.util.Collection<InstanceDefinition>` | `getInstanceDefinitions()`
`AbstractInstanceCustomization` | `newInstanceCustomization(AbstractInstanceDefinition def, java.lang.String id, org.jboss.portal.portlet.PortletContext portletContext)`
`AbstractInstanceDefinition` | `newInstanceDefinition(InstanceMetaData instanceMetaData)`
`AbstractInstanceDefinition` | `newInstanceDefinition(java.lang.String id, java.lang.String portletRef)`
`void` | `updateInstance(AbstractInstance instance, org.jboss.portal.portlet.PortletContext portletContext)`
`void` | `updateInstance(AbstractInstance instance, org.jboss.portal.portlet.PortletContext portletContext, boolean mutable)`
`void` | `updateInstanceDefinition(AbstractInstanceDefinition def, java.util.Set securityBindings)`

Method Detail

### getInstanceDefinitions

    java.util.Collection<InstanceDefinition> getInstanceDefinitions()

### getInstanceDefinition

    AbstractInstanceDefinition getInstanceDefinition(java.lang.String id)

### newInstanceDefinition

    AbstractInstanceDefinition newInstanceDefinition(java.lang.String id,
                                                     java.lang.String portletRef)

### newInstanceDefinition

    AbstractInstanceDefinition newInstanceDefinition(InstanceMetaData instanceMetaData)

### createInstanceDefinition

    void createInstanceDefinition(AbstractInstanceDefinition instanceDef)
                                  throws DuplicateInstanceException

  Throws:
    `DuplicateInstanceException`

### destroyInstanceDefinition

    void destroyInstanceDefinition(AbstractInstanceDefinition instanceDef)

### destroyInstanceCustomization

    void destroyInstanceCustomization(AbstractInstanceCustomization customization)

### getCustomization

    AbstractInstanceCustomization getCustomization(AbstractInstanceDefinition instanceDef,
                                                   java.lang.String customizationId)

### newInstanceCustomization

    AbstractInstanceCustomization newInstanceCustomization(AbstractInstanceDefinition def,
                                                           java.lang.String id,
                                                           org.jboss.portal.portlet.PortletContext portletContext)

### createInstanceCustomizaton

    void createInstanceCustomizaton(AbstractInstanceCustomization customization)

### updateInstance

    void updateInstance(AbstractInstance instance,
                        org.jboss.portal.portlet.PortletContext portletContext,
                        boolean mutable)

### updateInstance

    void updateInstance(AbstractInstance instance,
                        org.jboss.portal.portlet.PortletContext portletContext)

### updateInstanceDefinition

    void updateInstanceDefinition(AbstractInstanceDefinition def,
                                  java.util.Set securityBindings)

### checkPermission

    boolean checkPermission(InstancePermission perm)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD